Creates a new work order type
Request Information
URI Parameters :
None.
Body Parameters :
job_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the job type |
string |
Required Max length: 50 |
| sales_organization_id |
Filled if specific to one organization, empty if global and can be used by all |
globally unique identifier | |
| description |
Description of the job type |
string |
Max length: 4000 |
| is_default |
Used to auto select one object when creating a jobs |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| archived |
Used to archive job type |
boolean |
Request Formats :
application/json, text/json
{
"id": "cba8fe58-4778-46bb-b3ab-7cde5bae3cb0",
"name": "sample string 2",
"sales_organization_id": "f156ce58-686c-4f1b-95da-bf9ea4ef5857",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-02T02:06:29.8814318+00:00",
"code": "sample string 7",
"archived": true
}
Response Information
Resource Description :
IHttpActionResult
job_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the job type |
string |
Required Max length: 50 |
| sales_organization_id |
Filled if specific to one organization, empty if global and can be used by all |
globally unique identifier | |
| description |
Description of the job type |
string |
Max length: 4000 |
| is_default |
Used to auto select one object when creating a jobs |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| archived |
Used to archive job type |
boolean |
Response Formats
application/json, text/json
{
"id": "06e81a49-8f79-4207-896a-2e84e07d48a9",
"name": "sample string 2",
"sales_organization_id": "9b425325-bcf6-4d30-8002-184a6bdf9679",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-02T02:06:29.8814318+00:00",
"code": "sample string 7",
"archived": true
}